pkgs@{
  lib,
  godot ? pkgs.godot_4,
  ...
}:
godot.overrideAttrs (prev: {
  passthru = prev.passthru // {
    withModules =
      { modules }:
      godot.overrideAttrs (prev: {
        postPatch =
          prev.postPatch
          + (lib.strings.concatLines (
            builtins.map (module: "cp ${module.path} $src/modules/${module.name}") modules
          ));
      });
  };
})
